#include "framsg.h"
#include "nonstd_stdio.h"

#ifdef SHP
#include <FBaseSys.h> //AppLog
#endif

#ifdef MOBILE2D
#include <Winbase.h>
#include "Util.h"
#endif

char* MSG_LEVEL[]={"DEBUG","INFO","WARN","ERROR","CRITICAL"};

/* TODO integracja z error managerem 
void FramMessage(const char *o,const char *m,const char *bl,int w)
{
  const char *lvl=MSG_LEVEL[w+1];
#ifdef SHP
  //jesli chcemy zeby nawet w trybie release wysylal komunikaty:
  //#define AppLog(...)      __App_info(__PRETTY_FUNCTION__ , __LINE__, __VA_ARGS__)
	AppLog("%s%s::%s - %s\n",lvl,o,m,bl);
#elif defined MOBILE2D
	char buf[1000];
	sprintf(buf,"%s%s::%s - %s\n",lvl,o,m,bl);
	OutputDebugString(Util::strTOwstr(buf).c_str());
#else
	fprintf(w>0?stderr:stdout,"%s%s::%s - %s\n",lvl,o,m,bl);
#endif
}
*/

void FMprintf(const char *o,const char *m,int w,const char *bl, ...)
{
   char buf[10000];
   va_list argptr;
   va_start(argptr,bl);
	 vsnprintf(buf,10000,bl,argptr);
	 va_end(argptr);
   FramMessage(o,m,buf,w);
}

void FMprintf(const char *o,const char *m,int w,const char *bl,va_list va)
{
   char buf[10000];
   vsnprintf(buf,10000,bl,va);
   FramMessage(o,m,buf,w);
}

void FMprintf(const char *bl,...)
{
	va_list argptr;
	va_start(argptr,bl);
	FMprintf("Message","printf",0,bl,argptr);
	va_end(argptr);
}
